- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoIBEA< EOT, Fitness > Class Template Reference

Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm). More...

`#include <moeoIBEA.h>`

Inheritance diagram for moeoIBEA< EOT, Fitness >:

List of all members.

## Public Member Functions
| moeoIBEA (moeoBinaryQualityIndicator< Fitness > *_I)
void | calculate_worths (const eoPop< EOT > &_pop)
| mapping
## Protected Attributes
moeoBinaryQualityIndicator< Fitness > * | I
| binary quality indicator to use in the selection process

## Detailed Description

### template<class EOT, class Fitness>
class moeoIBEA< EOT, Fitness >

Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm).

Definition at line 28 of file moeoIBEA.h.

## Member Function Documentation

template<class EOT, class Fitness>

void moeoIBEA< EOT, Fitness >::calculate_worths | ( | const eoPop< EOT > & | _pop | ) | `[inline, virtual]`

mapping

Parameters:

  | const | eoPop<EOT>& _pop the population

Implements eoPerf2WorthCached< EOT, double >.

Definition at line 46 of file moeoIBEA.h.

The documentation for this class was generated from the following file:

- moeoIBEA.h